pub mod eta;
pub mod follow;
pub mod route;
pub mod train;

use serde::Deserialize;

#[derive(Debug, Deserialize)]
pub struct Ctatt {
    pub tmst: String,
    #[serde(rename = "errCd")]
    pub err_cd: String,
    #[serde(rename = "errNm")]
    pub err_nm: Option<String>,
}

#[derive(Debug, Deserialize)]
pub struct Response<T> {
    pub ctatt: T,
}
